Bug 797891

Summary: fedora-aos.ks is broken
Product: [Fedora] Fedora Reporter: Fabian Deutsch <fabian.deutsch>
Component: appliance-toolsAssignee: David Huff <dhuff>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: apevec, dhuff, mattdm, mgoldman, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 09:00:20 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
fixed kickstart none

Description Fabian Deutsch 2012-02-27 08:00:19 EST
Currently the appliance creator can't created an appliance using the fedora-aos.ks.

Log:
    $ sudo LC_ALL=en appliance-creator -c /usr/share/doc/appliance-tools-006.1/fedora-aos.ks -n ovirt-engine -o $PWD -t $PWD/tmp --cache=$PWD/tmp
    ['/']
    sh: warning: setlocale: LC_ALL: cannot change locale (en)
    sh: warning: setlocale: LC_ALL: cannot change locale (en)
    Package grub is obsoleted by grub2, trying to install 1:grub2-1.99-14.fc17.x86_64 instead
    No such package kudzu to remove
    No such package mkinitrd to remove
    No such package rhpl to remove
    Failed to set locale, defaulting to C
    warning: filesystem-3-2.fc17.x86_64: Header V3 RSA/SHA256 Signature, key ID 1aca3465: NOKEY
    Transaction couldn't start:
    installing package kernel-3.3.0-0.rc4.git5.1.fc18.x86_64 needs 3MB on the / filesystem
    Unable to create appliance : Unable to install: Could not run transaction.

It would be nice to have a working ks for Fedora 16, to create an aos image.
Comment 1 Fabian Deutsch 2012-02-27 08:12:04 EST
This ks creates the cloud appliance and which works on F16 (so solves the grub2 and fs-size bug)
http://fpaste.org/1Pm5/
Comment 2 Matthew Miller 2012-10-15 10:42:07 EDT
Created attachment 627485 [details]
fixed kickstart

The fpaste has expired -- adding as attachment
Comment 3 Matthew Miller 2012-12-14 14:34:49 EST
I think we should remove the obsolete kickstart files from this package and point people at

http://git.fedorahosted.org/cgit/cloud-kickstarts.git
Comment 4 Fedora End Of Life 2013-01-16 08:17:26 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 09:00:24 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Matthew Miller 2013-02-13 18:44:17 EST
For future reference for anyone who finds this, the updated source for current cloud / appliance kickstarts is:

  http://git.fedorahosted.org/cgit/cloud-kickstarts.git/tree/